;
;
; ===========================================================================
;
;   AP64_Del.asm    Axiom Delay Routine 
;                                 
;   Version:        1.0   Released 05/20/2004
;   Author:         Gary Karnes , Axiom Mfg.
;   Compiler:       HC08
;       
;   Purpose:        Delay routines
; ============================================================================
;
; This generates a approx
Del1_308:
            psha                 ; 5 cycles
            pshx                 ; 2
            pshh                 ; 2
            lda     #$05         ; number of loops
Del1A308:
; delay approx 10 us
            ldhx    #$000A       ; 3 cycles
; approx 1 us at 8 mhz though each cycle
Del1B308: 
            aix     #-1          ; 2 decrement delay
            nop                  ; 1
            cphx    #0           ; 3  done yet?
            bne     Del1B308     ; 3 repeat
            dbnza   Del1A308     ; 3 decrement A
            pulh
            pulx
            pula

            rts
;
; Delay 100Ms
DEL100MS:
            bsr     DELAY50M
            bsr     DELAY50M
            rts
;
; Delay 50 MS
DELAY50M:
            bsr     DELAY20M
            bsr     DELAY20M
            bsr     DELAY10M
            rts
;
; Delay 20 MS
DELAY20M:
            bsr     DELAY10M
            bsr     DELAY10M
            rts
;
; Delay 10 MS
DELAY10M:
            bsr     DELAY5MS
            bsr     DELAY5MS
            rts
;
; Delay 5 MS
DELAY5MS:
            bsr     DELAY2MS
            bsr     DELAY2MS
            bsr     DELAY1MS
            rts
;
; Delay 2 MS
DELAY2MS:
            bsr     DELAY1MS
            bsr     DELAY1MS
            rts
;
; Delay 1 MS
DELAY1MS:
            bsr     Del500uS
            bsr     Del500uS
            rts
;
; Delay 500 us
Del500uS:
            bsr     Del200uS
            bsr     Del200uS
            bsr     Del100uS
            rts
;
; Delay 200 us
Del200uS:
            bsr     Del100uS
            bsr     Del100uS
            rts
;
; Delay 100 us
Del100uS:
            bsr     Del50uS
            bsr     Del50uS
            rts
;
; Delay 50 us
Del50uS:
            bsr     Del20uS
            bsr     Del20uS
            bsr     Del10uS
            rts
;
; Delay 20 us
Del20uS:
            bsr     Del10uS    
            bsr     Del10uS
            rts
;
; This generates a delay for LCD
; 10 us at 8 mhz
Del10uS:
            pshx
            pshh
            ldhx   #$000A         ; 3 cycles
Del10uSA:
            aix    #-1            ; 2 decrement delay
            nop                   ; 1
            cphx   #0             ; 3 done yet?
            bne    Del10uSA       ; 3 repeat
            pulh
            pulx            
            rts
;
;

