;
;==========================================================
;
;   AP64_Pll.asm     PLL Control for AP64  
;                                 
;   Version:         1.0   Released 5/20/2004
;   Author:          Gary Karnes 
;   Purpose:         Define Registers  
; (C) Copyright 2004   All rights reserved.
;===========================================================
;
;
; clock pll set up
H08PLL:
          ldhx    #CLK_2MHZ        ; point to table
          bclr    BCS,PTCL        ; Select External Reference
          bclr    PLLON,PTCL      ; turn off PLL
          mov     x+,PTCL         ; prog P & E
          mov     x+,PMRS         ; prog L
          mov     x+,PMSH         ; prog N msb
          mov     x+,PMSL         ; prog N lsb
          mov     x+,SCBR         ; set baud
          mov     x+,PMDS         ; R
          bset    AUTO,PBWC       ; bandwidth
          bset    PLLON,PTCL      ; PLL on
PLLwait:
          brclr   LOCK,PBWC,PLLwait ; lock PLL
          bset    BCS,PTCL          ; VCO select  
;          jsr     DEL100MS          ; Delay    
          rts               
;
; table PLL for fbus 2.4576 Mhz 32.768 crystal @3.3 volts
CLK_2MHZ:          
          dc.b    $01             ; P & E
          dc.b    $27             ; L
          dc.b    $01             ; N msb
          dc.b    $2c             ; N lsb
          dc.b    $00             ; 9600 baud
          dc.b    $01             ; R value
;
