;
;==========================================================
;
;   AP64_Regs.asm    Registers Equates for HC08 AP64  
;                                 
;   Version:         1.0   Released 5/19/2004
;   Author:          Gary Karnes 
;   Purpose:         Define Registers  
; (C) Copyright 2004   All rights reserved.
;===========================================================
; Register equates...

PTA:            Equ     $00     ; Port A Data Register
PTB:            Equ     $01     ; Port B Data Register
PTC:            Equ     $02     ; Port C Data Register
PTD:            Equ     $03     ; Port D Data Register
DDRA:           Equ     $04     ; Port A data direction
DDRB:           Equ     $05     ; Port B data direction
DDRC:           Equ     $06     ; Port C data direction
DDRD:           Equ     $07     ; Port D data direction
LEDA:           Equ     $0C     ; Port A LED Control Register
SPCR:           equ     $10     ; SPI Control Register
SPSCR:          equ     $11     ; SPI Status and Control
SPDR:           equ     $12     ; SPI Data Register
SCC1:           equ     $13     ; SCI Control Register 1
SCC2:           equ     $14     ; SCI Control Register 2
SCC3:           equ     $15     ; SCI Control Register 3
SCS1:           equ     $16     ; SCI Status Register 1
SCS2:           equ     $17     ; SCI Status Register 2
SCDR:           equ     $18     ; SCI Data Register
SCBR:           equ     $19     ; SCI Baud Rate Register
KBSCR:          equ     $1A     ; Keyboard Status and Control
KBIER:          equ     $1B     ; Keyboard Interrupt Enable Register
INTSCR2:        equ     $1C     ; IRQ2 Status and Control
CONFIG2:        equ     $1D     ; Configuration Register
INTSCR1:        equ     $1E     ; IRQ1 Status and Control
CONFIG1:        equ     $1F     ; Configuration Register
T1SC:           equ     $20     ; Timer 1 Status & Control
T1CNTH:         equ     $21     ; Timer 1 Counter Register High
T1CNTL:         equ     $22     ; Timer 1 Counter Register Low
T1MODH:         equ     $23     ; Timer 1 Counter Modulo High
T12MODL:        equ     $24     ; Timer 1 Counter Modulo Low
T1SC0:          equ     $25     ; Timer 1 Channel 0 Status & Control
T1CH0H:         equ     $26     ; Timer 1 Channel 0 Register High
T1CH0L:         equ     $27     ; Timer 1 Channel 0 Register Low
;
; PLL
PTCL:           equ     $36     ; PLL Control Register
PBWC:           equ     $37     ; PLL Bandwidth Control
PMSH:           equ     $38     ; PLL Multiplier Select High
PMSL:           equ     $39     ; PLL Multiplier Select Low
PMRS:           equ     $3A     ; PLL VCO Range Select
PMDS:           equ     $3B     ; PLL Reference Divider Select
;
IRSCC1:         equ     $40     ; IRSCI Control Register 1
IRSCC2:         equ     $41     ; IRSCI Control Register 2
IRSCC3:         equ     $42     ; IRSCI Control Register 3
IRSCS1:         equ     $43     ; IRSCI Status Register 1
IRSCS2:         equ     $44     ; IRSCI Stauts Register 2
IRSCDR:         equ     $45     ; IRSCI Data Register
IRSCBR:         equ     $46     ; IRSCI Baud Rate Register
IRSCIRCR:       equ     $47     ; IRSCI Infared Control
MMADR:          equ     $48     ; MMIIC Address Register
MMCR1:          equ     $49     ; MMIIC Control Register 1
MMCR2:          equ     $4A     ; MMIIC Control Register 2
MMSR:           equ     $4B     ; MMIIC Status Register
MMDTR:          equ     $4C     ; MMIIC Data Transmit Register
MMDRR:          equ     $4D     ; MMIIC Data Receive Register
MMCRDR:         equ     $4E     ; MMIIC CRC Data Register
MMFDR:          equ     $4F     ; MMIIC Frequency Divider
TBCR:           equ     $51     ; Timebase Control Register
ADSCR:          equ     $57     ; ADC Status & Control
ADICLK:         equ     $58     ; ADC Clock Control
ADRH0:          equ     $59     ; ADC Data Register High 0
ADRL0:          equ     $5A     ; ADC Data Register low 0
ADRL1:          equ     $5B     ; ADC Data Register low 1
ADRL2:          equ     $5C     ; ADC Data Register low 2
ADRL3:          equ     $5D     ; ADC Data Register low 3
ADASCR:         equ     $5E     ; ADC Auto-Scan Control
;
SBSR:           equ     $FE00   ; SIM Break Status Register
SRSR:           equ     $FE01   ; SIM Reset Status Register
SBFCR:          equ     $FE03   ; SIM Break Flag Control
INT1:           equ     $FE04   ; Interrupt Status Register 1
INT2:           equ     $FE05   ; Interrupt Status Register 2
INT3:           equ     $FE06   ; Interrupt Status Register 3
FLCR:           equ     $FE08   ; Flash Control Register
FLBPR:          equ     $FE09   ; Flash Block Protect
BRKH:           equ     $FE0C   ; Break Address Register High
BRKL:           equ     $FE0D   ; Break Address Register Low
BRKSCR:         equ     $FE0E   ; Break Status & Control
LVISR:          equ     $FE0F   ; LVI Status Register
MOR:            equ     $FFCF   ; Mask Option Register
COPCTL:         equ     $FFFF   ; COP Control Register
;
;

