;
;==========================================================
;
;   AP64_Str.asm     String Routines for AP64  
;                                 
;   Version:         1.0   Released 5/20/2004
;   Author:          Gary Karnes 
;   Purpose:         Define Registers  
; (C) Copyright 2004   All rights reserved.
;===========================================================
;
;=========================================================
; Sci1 String 
;    Subroutines
;        Sci1Strp = Send string to LCD
;        Sci1St1S = Gets address of string
;        Sci1Str1 = Sends one string
;        Sci1Str2 = Sends two strings
;        Sci1Str3 = Sends three strings
;=========================================================
;
; Send a String to the Sci1
; Index register H:X is loaded with address of string.
; continue until reading a zero.
Sci1Strp:
	
SCi1_lp:
	LDA	,X		; get byte
      aix   #1          ; increment address
	JSR	OUTPUT	; send byte out
	CMP	#NUL		; test for end 
	BNE	SCi1_lp   	; loop if more bytes
	RTS
;     
;
;========================
; Send one string to Sci1
; load 16 bit pointer after jsr
; sends space after string
; Sci1str1S is called from sub,sub
; example:
;           stack
;           sp = next available address
;           sp + 1 & 2 = Sci1STR1 return PC
;           sp + 3 & 3 = PC Value on Stack
;
;   Example:
;                       jsr     Sci1Str1     ; call string routinge
;  PC Value on Stack:   fdb     Menu
;
Sci1St1S:
;         
           tsx                  ; transfer Stack to H:X
           aix     #2           ; Point to PC value on stack
;
; Get PC and Save
          
           lda      0,x        ; get Msn of String Address
           psha                ; save on stack
           aix      #1         ; increment to low order string address
           lda      0,x        ; get Lsb of String Address
           psha                ; save on stack
; Adjust New PC
           pulx                ; get Lsb of PC value
           pulh                ; get Msb of PC value
           lda     0,x         ; get Msb of Message
           psha                ; save
           aix     #1          ; adjust address
           lda     0,x         ; get Lsb of Message
           psha                ; save    
           aix     #1          ; adjust pc
           pshx                ; Save Lsb New PC Value
           pshh                ; Save Msb New PC Value

           tsx                 ; Transfer Stack to H:X
           aix     #2          ; adjust location
           pula                ; get Msn of return Pc
           sta     0,x         ; save Msb of New PC
           aix     #1          ; adjust address
           pula                ; get Lsb of return Pc
           sta     0,x         ; save Lsb of New PC
; Send String
          pulx              ; get string low byte
          pulh              ; get string high byte
          jsr     Sci1Strp  ; send string
          rts
;
;
; Send a string to Sci1 
; address of string after call sub
; example:
;          jsr  Sci1Str1
;          fdb  Axiom
;.....................
Sci1Str1:
          jsr     Sci1St1S  ; send one string + space
          rts
;
;







;
;